RHSA-2006:0232-01 Moderate: tar security update
Posted on: 03/01/2006 05:22 PM

A new update is available for Red Hat Enterprise Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- ---------------------------------------------------------------------
Red Hat Security Advisory

Synopsis: Moderate: tar security update
Advisory ID: RHSA-2006:0232-01
Advisory URL: https://rhn.redhat.com/errata/RHSA-2006-0232.html
Issue date: 2006-03-01
Updated on: 2006-03-01
Product: Red Hat Enterprise Linux
CVE Names: CVE-2006-0300
- ---------------------------------------------------------------------

1. Summary:

An updated tar package that fixes a buffer overflow bug is now available
for Red Hat Enterprise Linux 4.

This update has been rated as having Moderate security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Problem description:

The GNU tar program saves many files together in one archive and can
restore individual files (or all of the files) from that archive.

Jim Meyering discovered a buffer overflow bug in the way GNU tar extracts
malformed archives. By tricking a user into extracting a malicious tar
archive, it is possible to execute arbitrary code as the user running tar.
The Common Vulnerabilities and Exposures project (cve.mitre.org) assigned
the name CVE-2006-0300 to this issue.

Users of tar should upgrade to this updated package, which contains a
backported patch to correct this issue.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via Red Hat Network. To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

5. Bug IDs fixed (http://bugzilla.redhat.com/):

181772 - CVE-2006-0300 GNU tar heap overlfow bug


6. RPMs required:

Red Hat Enterprise Linux AS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/tar-1.14-9.RHEL4.src.rpm
20edf00d3f726e8ef40182a1cc74c309 tar-1.14-9.RHEL4.src.rpm

i386:
8e6c7bf72e4f4d48e066406614396a08 tar-1.14-9.RHEL4.i386.rpm

ia64:
3bce09ef8d5829c5c41ec04f1a79036b tar-1.14-9.RHEL4.ia64.rpm

ppc:
03483011461ab5395c04ca55eb42e6c0 tar-1.14-9.RHEL4.ppc.rpm

s390:
d33b7ade56bff4f8d936481f9835cd4b tar-1.14-9.RHEL4.s390.rpm

s390x:
d5e85f0e8daf289e5b75a0558741fdca tar-1.14-9.RHEL4.s390x.rpm

x86_64:
2002e57270db78163e556c0321b8e190 tar-1.14-9.RHEL4.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/tar-1.14-9.RHEL4.src.rpm
20edf00d3f726e8ef40182a1cc74c309 tar-1.14-9.RHEL4.src.rpm

i386:
8e6c7bf72e4f4d48e066406614396a08 tar-1.14-9.RHEL4.i386.rpm

x86_64:
2002e57270db78163e556c0321b8e190 tar-1.14-9.RHEL4.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/tar-1.14-9.RHEL4.src.rpm
20edf00d3f726e8ef40182a1cc74c309 tar-1.14-9.RHEL4.src.rpm

i386:
8e6c7bf72e4f4d48e066406614396a08 tar-1.14-9.RHEL4.i386.rpm

ia64:
3bce09ef8d5829c5c41ec04f1a79036b tar-1.14-9.RHEL4.ia64.rpm

x86_64:
2002e57270db78163e556c0321b8e190 tar-1.14-9.RHEL4.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/tar-1.14-9.RHEL4.src.rpm
20edf00d3f726e8ef40182a1cc74c309 tar-1.14-9.RHEL4.src.rpm

i386:
8e6c7bf72e4f4d48e066406614396a08 tar-1.14-9.RHEL4.i386.rpm

ia64:
3bce09ef8d5829c5c41ec04f1a79036b tar-1.14-9.RHEL4.ia64.rpm

x86_64:
2002e57270db78163e556c0321b8e190 tar-1.14-9.RHEL4.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0300

8. Contact:

The Red Hat security contact is lt;secalert@redhat.comgt;. More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2006 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFEBbkQXlSAg2UNWIIRAqryAJ91Grh/8sfqD2l0BGDHE8W5FKNIIQCfbpoN
zw3vDfQAGFlXVexEcfnnaXQ=
=chVO
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_20060232_01_moderate_tar_security_update.html)